using ASHermed.SinoInterface.Api.ContractModel;
using ASHermed.SinoInterface.Api.ContractModel.Coupon.Entity;
using ASHermed.SinoInterface.Api.ContractModel.Coupon.Model;
using ASHermed.SinoInterface.Api.IRepository.App;
using ASHermed.SinoInterface.Api.IService;
using ASHermed.SinoInterface.Enum.App;
using ASHermed.SinoInterface.IFramework;
using ASHermed.SinoInterface.Tools;
using Microsoft.Extensions.Logging;
using PoJun.Util.Maps;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ASHermed.SinoInterface.Api.Service
{
    public class SufferingService : BaseService, ISufferingService
    {
        ILogger<SufferingService> _logger;
        IOutService _outService;
        public SufferingService(ILogger<SufferingService> logger, IOutService outService)
        {
            _logger = logger;
            _outService = outService;
        }


        public async Task<Meta> GetInfo(string docId, int language)
        {
            Dictionary<string, object> dic = new Dictionary<string, object>();
            dic.Add("access_code", "66AED170");
            dic.Add("doc_id", docId);
            dic.Add("lng", language == 1 ? "ch" : "en");//www-form方式提交
            var meta = await _outService.Post("http://106.14.27.107:8081/cf/fileDownload.do", dic);
            return meta;
        }



    }
}
